All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish.archive
Interface ArchiveTransportInterface

All Superinterfaces:
  TransportInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface ArchiveTransportInterface

extends TransportInterface

The ArchiveTransportInterface provides a mechanism for publishing a result package to an archive, and for retrieving a result package from an archive. An archive is a result set package that is compressed and saved to a directory file. The archive contains the contents of a package and metadata that is necessary for extracting the contents. An archive is compressed using ZIP compression and is saved with an SPK extension.

See Also:
  `TransportFactory`

Method Summary
`abstract java.lang.String` | `getExtractionDirectoryName()` Returns the name of the directory used to extract nested packages.
`abstract java.lang.String` | `getName()` Returns the name of the archive file.
`abstract void` | `setExtractionDirectoryName(java.lang.String directoryName)` Sets the name of the directory to use when extracting nested packages.

Methods inherited from interface com.sas.services.publish.TransportInterface
`getLogger, getResultPackage, getSessionContext, publishResultPackage, setLogger`

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the archive file.

  Returns:
    `String` The name of the archive file.

### setExtractionDirectoryName

    void setExtractionDirectoryName(java.lang.String directoryName)

  Sets the name of the directory to use when extracting nested packages. This extraction directory is only used when a result package is retrieved. If an extraction directory is not set, a temporary file will be created to extract nested packages.

  Parameters:
    `directoryName` - The name of the extraction directory.

### getExtractionDirectoryName

    java.lang.String getExtractionDirectoryName()

  Returns the name of the directory used to extract nested packages.

  Returns:
    `String` The name of the extraction directory; can be null;

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.